Root - GET
|
Path |
/api |
|---|---|
|
Http Method |
GET |
Overview
ANONYMOUS No license
The root API endpoint. Returns information about the installed Metavault instance and, if the user is authenticated, a collection of links for further navigation.
Response
Success Response (200 OK)
{
"environment": "Acceptance",
"frameworkVersion": "8.0.23",
"version": "5.2.3.0",
"informationalVersion": "5.2.3-rc.1+e74f17695a117cebbfa0f228181f69f8f6d790af",
"clientId": "metavault",
"authority": "https://accounts.dfakto.com/auth/realms/dfakto-uat-df2",
"requireHttps": true,
"scope": "profile email openid",
"disableAuthentication": false
}
Response Fields:
|
Field |
Type |
Description |
|---|---|---|
|
environment |
string |
Technical identifier of the installation type. |
|
frameworkVersion |
string |
.NET framework version |
|
version |
string |
Version of the internal library components. |
|
informationalVersion |
string |
Version+commit of the app docker container. This is the most accurate representation of which docker image is used. |
|
clientId |
string |
Oauth client id |
|
authority |
string |
Oauth authority |
|
requireHttps |
boolean |
Connections with authority will force HTTPS. |
|
scope |
string |
Oauth scope |
|
disableAuthentication |
boolean |
If true, request clients do not attempt to authenticate, and to access the back-end without Authorization header. This is used when the back-end disables authentication. This is typically false in production environments, except in very special cases. |
Response Links and Embedded objects:
|
Name |
Link |
Constraints |
|---|---|---|
|
user |
Appears if the authenticated agent is a “User“ and not an “Api token“. |